import { BaseRequest } from "./base";
import { IsEnum, IsNumber } from "class-validator";
import { UserRole } from "@/dto";

export class AdminRequest extends BaseRequest {
  @IsNumber()
  user: number;
}

export class SetUserRole extends AdminRequest {
  @IsEnum(UserRole)
  role: UserRole;
}

export class LogoutAll extends AdminRequest {}
export class DeleteUser extends AdminRequest {}
export class DisableTfa extends AdminRequest {}
